Table cells should clip with tooltip only if text actually overflows
Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2789,

https://github.com/theforeman/foreman/p

ull/2837,
Description

Clipping to ellipsis leaves a lot of white space in the column.

Also possibly resize columns to better fit contents.

Related issues:

Related to Foreman - Bug #12104: Dropdown menu outside of table cell on All H... Closed 10/08/2015

Related to Foreman - Bug #12111: Table or column widths Closed 10/08/2015

Related to Foreman - Feature #2937: Resize hosts table to use more screen width New 08/14/2013

Related to Foreman - Feature #1403: [foreman] [UI] - tables columns should be... New 12/19/2011

Has duplicate Foreman - Bug #4389: OS label "RHEL Server 6.x" on host list is... Duplicate 02/19/2014

Associated revisions

Revision 027d2087 - 10/07/2015 10:58 AM - Tomer Brisker

Fixes #8800 - Clip table cells only when needed

For clipping to work, table must have class `table-fixed` and the cell

have class `ellipsis`. Also column widths should be set in table head.

Clipping will occur automagically with tooltip.

Revision 6718fab8 - 10/19/2015 12:57 PM - Tomer Brisker

Refs #8800 - Fix clipping on global parameter table

I missed this one table in the previos commit.

Revision 633c441e - 10/30/2015 06:17 AM - Lukas Zapletal

Refs #8800 - Avoid clipping on About - Plugins page

History

#1 - 10/06/2015 10:39 AM - Tomer Brisker

- Subject changed from Host list table clips attributes too soon to Table cells should clip with tooltip only if text actually overflows

Currently, table cells have one of two possible behaviors:

1. Clipping at a hard coded, arbitrary length - which may cause a lot of white space that could be used for displaying the entire text or part of it.

2. Overflowing causing the table layout to break.

The text should clip with tooltip only when really needed, and this should be handled by the browser and not by the server.

#2 - 10/07/2015 04:28 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2789 added

- Pull request deleted ()

#3 - 10/07/2015 11:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 027d208768c08e97ce3e000e3b24eb1f1b5cf75f.

#4 - 10/08/2015 02:55 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#5 - 10/08/2015 07:35 AM - Dominic Cleal

- Related to Bug #12104: Dropdown menu outside of table cell on All Hosts list added

#6 - 10/11/2015 08:37 AM - Tomer Brisker

- Related to Bug #12111: Table or column widths added

#7 - 10/11/2015 08:38 AM - Tomer Brisker

- Related to Feature #2937: Resize hosts table to use more screen width added

#8 - 10/11/2015 08:38 AM - Tomer Brisker

- Related to Feature #1403: [foreman] [UI] - tables columns should be resizable added

#9 - 10/30/2015 04:58 AM - The Foreman Bot

- Assignee changed from Tomer Brisker to Lukas Zapletal

#10 - 10/30/2015 08:39 AM - Tomer Brisker

- Assignee changed from Lukas Zapletal to Tomer Brisker

#11 - 10/30/2015 10:05 AM - Dominic Cleal

- Pull request https://github.com/theforeman/foreman/pull/2837 added

#12 - 10/30/2015 10:05 AM - Dominic Cleal

- Pull request https://github.com/theforeman/foreman/pull/2880 added

#13 - 11/23/2015 04:08 AM - Dominic Cleal

- Has duplicate Bug #4389: OS label "RHEL Server 6.x" on host list is too long for column added
